Lorene::Star_rot_Dirac_diff Class Reference
Stars and black holes

Class for relativistic differentially rotating stars in Dirac gauge and maximal slicing. More...

`#include <star_rot_dirac_diff.h>`

Inheritance diagram for Lorene::Star_rot_Dirac_diff:

## Public Member Functions

| Star_rot_Dirac_diff (Map &mp_i, int nzet_i, const Eos &eos_i, double(*frot_i)(double, const Tbl &), double(*primfrot_i)(double, const Tbl &), const Tbl &par_frot_i)
| Standard constructor.
| Star_rot_Dirac_diff (const Star_rot_Dirac_diff &)
| Copy constructor.
| Star_rot_Dirac_diff (Map &mp_i, const Eos &eos_i, FILE *fich, double(*frot_i)(double, const Tbl &), double(*primfrot_i)(double, const Tbl &))
| Constructor from a file (see `sauve(FILE*)` ).
virtual | ~Star_rot_Dirac_diff ()
| Destructor.
void | operator= (const Star_rot_Dirac_diff &)
| Assignment to another `Star_rot_Dirac_diff`.
const Scalar & | get_omega_field () const
| Returns the angular velocity field .
virtual double | get_omega_c () const
| Returns the central value of the rotation angular velocity (``[f_unit] ).
virtual void | sauve (FILE *) const
| Save in a file.
virtual double | tsw () const
| Ratio T/W.
virtual void | hydro_euler ()
| Computes the hydrodynamical quantities relative to the Eulerian observer from those in the fluid frame.
void | fait_omega_field (double omeg_min, double omeg_max, double precis, int nitermax)
| Computes (member `omega_field` ).
void | fait_prim_field ()
| Computes the member `prim_field` from `omega_field` .
double | funct_omega (double omeg) const
| Evaluates , where F is the function defining the rotation profile.
double | prim_funct_omega (double omeg) const
| Evaluates the primitive of , where F is the function defining the rotation profile.
virtual void | equilibrium (double ent_c, double omega0, double fact_omega, int nzadapt, const Tbl &ent_limit, const Itbl &icontrol, const Tbl &control, double mbar_wanted, double aexp_mass, Tbl &diff)
| Computes an equilibrium configuration.
int | spectral_filter_order () const
| Returns the filtering order.
double | get_omega () const
| Returns the rotation angular velocity .
const Scalar & | get_psi4 () const
| Returns the conformal factor .
const Scalar & | get_psi2 () const
| Returns .
const Scalar & | get_qqq () const
| Returns .
const Scalar & | get_ln_psi () const
| Returns .
const Vector & | get_j_euler () const
| Returns the momentum density 3-vector with respect to the Eulerian observer.
const Scalar & | get_v2 () const
| Reutrns .
const Metric | get_tgamma () const
| Returns the conformal metric .
const Sym_tensor | get_aa () const
| Returns .
const Sym_tensor | get_taa () const
| Returns .
const Scalar | get_aa_quad () const
| Returns .
const Sym_tensor_trans | get_hh () const
| Returns .
virtual double | mass_b () const
| Baryonic mass.
virtual double | mass_g () const
| Gravitational mass.
virtual double | angu_mom () const
| Angular momentum.
virtual double | grv2 () const
| Error on the virial identity GRV2.
virtual double | grv3 () const
| Error on the virial identity GRV3.
virtual double | aplat () const
| Flattening r_pole/r_eq.
virtual double | r_circ () const
| Circumferential equatorial radius.
virtual double | rp_circ () const
| Circumferential polar radius.
virtual double | ellipt () const
| Ellipticity e.
void | update_metric ()
| Computes metric quantities from known potentials.
void | solve_logn_f (Scalar &ln_f_new) const
| Solution of the two scalar Poisson equations for rotating stars in Dirac gauge.
void | solve_logn_q (Scalar &ln_q_new) const
| Solution of the two scalar Poisson equations for rotating stars in Dirac gauge.
void | solve_qqq (Scalar &q_new) const
| Solution of the two scalar Poisson equations for rotating stars in Dirac gauge.
void | solve_shift (Vector &shift_new) const
| Solution of the shift equation for rotating stars in Dirac gauge.
void | solve_hij (Sym_tensor_trans &hij_new) const
| Solution of the tensor Poisson equation for rotating stars in Dirac gauge.
Map & | set_mp ()
| Read/write of the mapping.
void | set_enthalpy (const Scalar &)
| Assignment of the enthalpy field.
void | equation_of_state ()
| Computes the proper baryon and energy density, as well as pressure from the enthalpy.
virtual void | equilibrium_spher (double ent_c, double precis=1.e-14, const Tbl *pent_limit=0x0)
| Computes a spherical static configuration.
const Map & | get_mp () const
| Returns the mapping.
int | get_nzet () const
| Returns the number of domains occupied by the star.
const Eos & | get_eos () const
| Returns the equation of state.
const Scalar & | get_ent () const
| Returns the enthalpy field.
const Scalar & | get_nbar () const
| Returns the proper baryon density.
const Scalar & | get_ener () const
| Returns the proper total energy density.
const Scalar & | get_press () const
| Returns the fluid pressure.
const Scalar & | get_ener_euler () const
| Returns the total energy density with respect to the Eulerian observer.
const Scalar & | get_s_euler () const
| Returns the trace of the stress tensor in the Eulerian frame.
const Scalar & | get_gam_euler () const
| Returns the Lorentz factor between the fluid and Eulerian observers.
const Vector & | get_u_euler () const
| Returns the fluid 3-velocity with respect to the Eulerian observer.
const Tensor & | get_stress_euler () const
| Returns the spatial part of the stress-energy tensor with respect to the Eulerian observer.
const Scalar & | get_logn () const
| Returns the logarithm of the lapse N.
const Scalar & | get_nn () const
| Returns the lapse function N.
const Vector & | get_beta () const
| Returns the shift vector .
const Scalar & | get_lnq () const
const Metric & | get_gamma () const
| Returns the 3-metric .
double | ray_eq () const
| Coordinate radius at , [r_unit].
double | ray_eq_pis2 () const
| Coordinate radius at , [r_unit].
double | ray_eq_pi () const
| Coordinate radius at , [r_unit].
double | ray_eq_3pis2 () const
| Coordinate radius at , [r_unit].
double | ray_pole () const
| Coordinate radius at [r_unit].
virtual const Itbl & | l_surf () const
| Description of the stellar surface: returns a 2-D `Itbl` containing the values of the domain index l on the surface at the collocation points in .
const Tbl & | xi_surf () const
| Description of the stellar surface: returns a 2-D `Tbl` containing the values of the radial coordinate on the surface at the collocation points in .

## Protected Member Functions

virtual ostream & | operator>> (ostream &) const
| Operator >> (virtual function called by the operator <<).
virtual void | del_deriv () const
| Deletes all the derived quantities.
void | set_der_0x0 () const
| Sets to `0x0` all the pointers on derived quantities.
virtual void | del_hydro_euler ()
| Sets to `ETATNONDEF` (undefined state) the hydrodynamical quantities relative to the Eulerian observer.

## Protected Attributes

double(* | frot )(double, const Tbl &)
| Function defining the rotation profile.
double(* | primfrot )(double, const Tbl &)
| Primitive of the function , which vanishes at the stellar center.
Tbl | par_frot
| Parameters of the function .
Scalar | omega_field
| Field .
double | omega_min
| Minimum value of .
double | omega_max
| Maximum value of .
Scalar | prim_field
| Field .
int | spectral_filter
| Spectral exponential filtering order.
double | omega
| Rotation angular velocity (``[f_unit] ).
Scalar | psi4
| Conformal factor .
Scalar | psi2
Scalar | qqq
Scalar | ln_psi
Vector | j_euler
| Momentum density 3-vector with respect to the Eulerian observer.
Scalar | v2
const Metric_flat & | flat
| flat metric (spherical components)
Metric | tgamma
Sym_tensor | aa
Sym_tensor | taa
Scalar | aa_quad
Sym_tensor_trans | hh
| is defined by .
double * | p_angu_mom
| Angular momentum.
double * | p_grv2
| Error on the virial identity GRV2.
double * | p_grv3
| Error on the virial identity GRV3.
double * | p_tsw
| Ratio T/W.
double * | p_r_circ
| Circumferential equatorial radius.
double * | p_rp_circ
| Circumferential polar radius.
Map & | mp
| Mapping associated with the star.
int | nzet
| Number of domains of `*mp` occupied by the star.
const Eos & | eos
| Equation of state of the stellar matter.
Scalar | ent
| Log-enthalpy.
Scalar | nbar
| Baryon density in the fluid frame.
Scalar | ener
| Total energy density in the fluid frame.
Scalar | press
| Fluid pressure.
Scalar | ener_euler
| Total energy density in the Eulerian frame.
Scalar | s_euler
| Trace of the stress scalar in the Eulerian frame.
Scalar | gam_euler
| Lorentz factor between the fluid and Eulerian observers.
Vector | u_euler
| Fluid 3-velocity with respect to the Eulerian observer.
Sym_tensor | stress_euler
| Spatial part of the stress-energy tensor with respect to the Eulerian observer.
Scalar | logn
| Logarithm of the lapse N .
Scalar | nn
| Lapse function N .
Vector | beta
| Shift vector.
Scalar | lnq
Metric | gamma
| 3-metric
double * | p_ray_eq
| Coordinate radius at , .
double * | p_ray_eq_pis2
| Coordinate radius at , .
double * | p_ray_eq_pi
| Coordinate radius at , .
double * | p_ray_eq_3pis2
| Coordinate radius at , .
double * | p_ray_pole
| Coordinate radius at .
Itbl * | p_l_surf
| Description of the stellar surface: 2-D `Itbl` containing the values of the domain index l on the surface at the collocation points in .
Tbl * | p_xi_surf
| Description of the stellar surface: 2-D `Tbl` containing the values of the radial coordinate on the surface at the collocation points in .
double * | p_mass_b
| Baryon mass.
double * | p_mass_g
| Gravitational mass.

## Friends

ostream & | operator<< (ostream &ost, const Star &et)
| Display.

## Detailed Description

Class for relativistic differentially rotating stars in Dirac gauge and maximal slicing.

(*** Under development ***)()

Definition at line 49 of file star_rot_dirac_diff.h.

## Constructor & Destructor Documentation

## Star_rot_Dirac_diff() [1/3]

Lorene::Star_rot_Dirac_diff::Star_rot_Dirac_diff | ( | Map & | mp_i,
|  | int | nzet_i,
|  | const Eos & | eos_i,
|  | double(* | frot_i )(double, const Tbl &),
|  | double(* | primfrot_i )(double, const Tbl &),
|  | const Tbl & | par_frot_i )

Standard constructor.

Parameters

  mp_i | Mapping on which the star will be defined
  nzet_i | Number of domains occupied by the star
  relat | should be `true` for a relativistic star, `false` for a Newtonian one
  eos_i | Equation of state of the stellar matter
  frot_i | Function defining the rotation profile.
  primfrot_i | Primitive of which vanishes at the stellar center
  par_frot_i | Parameters of functions `frot_i` and `primfrot_i` , `par_frot_i(0)` being the central value of .

Definition at line 53 of file star_rot_dirac_diff.C.

References frot, Lorene::Map(), omega_field, omega_max, omega_min, par_frot, prim_field, primfrot, and Lorene::Star_rot_Dirac::Star_rot_Dirac().

## Star_rot_Dirac_diff() [2/3]

Lorene::Star_rot_Dirac_diff::Star_rot_Dirac_diff | ( | const Star_rot_Dirac_diff & | star | ) |

Copy constructor.

Definition at line 76 of file star_rot_dirac_diff.C.

References frot, omega_field, omega_max, omega_min, par_frot, prim_field, primfrot, Lorene::Star_rot_Dirac::Star_rot_Dirac(), and Star_rot_Dirac_diff().

## Star_rot_Dirac_diff() [3/3]

Lorene::Star_rot_Dirac_diff::Star_rot_Dirac_diff | ( | Map & | mp_i,
|  | const Eos & | eos_i,
|  | FILE * | fich,
|  | double(* | frot_i )(double, const Tbl &),
|  | double(* | primfrot_i )(double, const Tbl &) )

Constructor from a file (see `sauve(FILE*)` ).

Parameters

  mp_i | Mapping on which the star will be defined
  eos_i | Equation of state of the stellar matter
  fich | input file (must have been created by the function `sauve` )
  frot_i | Function defining the rotation profile.
  primfrot_i | Primitive of which vanishes at the stellar center

Definition at line 90 of file star_rot_dirac_diff.C.

References fait_prim_field(), Lorene::fread_be(), frot, Lorene::Map(), Lorene::Star::mp, omega_field, omega_max, omega_min, par_frot, prim_field, primfrot, and Lorene::Star_rot_Dirac::Star_rot_Dirac().

## ~Star_rot_Dirac_diff()

Lorene::Star_rot_Dirac_diff::~Star_rot_Dirac_diff | ( |  | ) |

virtual

Destructor.

Definition at line 116 of file star_rot_dirac_diff.C.

## Member Function Documentation

## angu_mom()

double Lorene::Star_rot_Dirac::angu_mom | ( |  | ) | const

virtual inherited

Angular momentum.

Definition at line 143 of file strot_dirac_global.C.

References Lorene::contract(), Lorene::Star::gamma, Lorene::Scalar::integrale(), j_euler, Lorene::Star::mp, Lorene::Scalar::mult_rsint(), p_angu_mom, Lorene::Vector::set(), Lorene::Scalar::set_etat_zero(), Lorene::sqrt(), and Lorene::Scalar::std_spectral_base().

## aplat()

double Lorene::Star_rot_Dirac::aplat | ( |  | ) | const

virtual inherited

Flattening r_pole/r_eq.

Definition at line 418 of file strot_dirac_global.C.

References Lorene::Star::ray_eq(), and Lorene::Star::ray_pole().

## del_deriv()

void Lorene::Star_rot_Dirac::del_deriv | ( |  | ) | const

protected virtual inherited

Deletes all the derived quantities.

Reimplemented from Lorene::Star.

Definition at line 218 of file star_rot_dirac.C.

References Lorene::Star::del_deriv(), p_angu_mom, p_grv2, p_grv3, p_r_circ, p_rp_circ, p_tsw, and set_der_0x0().

## del_hydro_euler()

void Lorene::Star_rot_Dirac::del_hydro_euler | ( |  | ) |

protected virtual inherited

Sets to `ETATNONDEF` (undefined state) the hydrodynamical quantities relative to the Eulerian observer.

Reimplemented from Lorene::Star.

Definition at line 246 of file star_rot_dirac.C.

References del_deriv(), Lorene::Star::del_hydro_euler(), j_euler, and v2.

## ellipt()

double Lorene::Star_rot_Dirac::ellipt | ( |  | ) | const

virtual inherited

Ellipticity e.

Defined as , where and are, respectively, the equatorial and polar circumferential radius, given by `r_circ()` and `rp_circ()`.

Definition at line 428 of file strot_dirac_global.C.

References r_circ(), rp_circ(), and Lorene::sqrt().

## equation_of_state()

void Lorene::Star::equation_of_state | ( |  | ) |

inherited

Computes the proper baryon and energy density, as well as pressure from the enthalpy.

Definition at line 462 of file star.C.

References Lorene::Param::add_int(), Lorene::Scalar::allocate_all(), del_deriv(), ener, ent, eos, Lorene::Mg3d::get_grille3d(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), mp, nbar, nzet, press, Lorene::Mtbl::set(), Lorene::Scalar::set_domain(), Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Scalar::std_spectral_base(), Lorene::Mtbl::t, and Lorene::Grille3d::x.

## equilibrium()

void Lorene::Star_rot_Dirac_diff::equilibrium | ( | double | ent_c,
|  | double | omega0,
|  | double | fact_omega,
|  | int | nzadapt,
|  | const Tbl & | ent_limit,
|  | const Itbl & | icontrol,
|  | const Tbl & | control,
|  | double | mbar_wanted,
|  | double | aexp_mass,
|  | Tbl & | diff )

virtual

Computes an equilibrium configuration.

Parameters

  ent_c | [input] Central enthalpy
  omega0 | [input] Requested central angular velocity (if `fact_omega=1`. )

  fact_omega

  [input] 1.01 = search for the Keplerian frequency,
  1. = otherwise.

  nzadapt | [input] Number of (inner) domains where the mapping adaptation to an iso-enthalpy surface should be performed
  ent_limit | [input] 1-D `Tbl` of dimension `nzet` which defines the enthalpy at the outer boundary of each domain

  icontrol

  [input] Set of integer parameters (stored as a 1-D `Itbl` of size 8) to control the iteration:
  - `icontrol(0)` = mer_max : maximum number of steps
  - `icontrol(1)` = mer_rot : step at which the rotation is switched on
  - `icontrol(2)` = mer_change_omega : step at which the rotation velocity is changed to reach the final one
  - `icontrol(3)` = mer_fix_omega : step at which the final rotation velocity must have been reached
  - `icontrol(4)` = mer_mass : the absolute value of `mer_mass` is the step from which the baryon mass is forced to converge, by varying the central enthalpy (`mer_mass` > 0 ) or the angular velocity (`mer_mass` < 0 )
  - `icontrol(5)` = mermax_poisson : maximum number of steps in `Map_et::poisson`
  - `icontrol(6)` = mer_triax : step at which the 3-D perturbation is switched on
  - `icontrol(7)` = delta_mer_kep : number of steps after `mer_fix_omega` when `omega` starts to be increased by `fact_omega` to search for the Keplerian velocity

  control

  [input] Set of parameters (stored as a 1-D `Tbl` of size 7) to control the iteration:
  - `control(0)` = precis : threshold on the enthalpy relative change for ending the computation
  - `control(1)` = omega_ini : initial central angular velocity, switched on only if `mer_rot` < 0 , otherwise 0 is used
  - `control(2)` = relax : relaxation factor in the main iteration
  - `control(3)` = relax_poisson : relaxation factor in `Map_et::poisson`
  - `control(4)` = thres_adapt : threshold on dH/dr for freezing the adaptation of the mapping
  - `control(5)` = ampli_triax : relative amplitude of the 3-D perturbation
  - `control(6)` = precis_adapt : precision for `Map_et::adapt`

  mbar_wanted | [input] Requested baryon mass (effective only if `mer_mass` > mer_max )
  aexp_mass | [input] Exponent for the increase factor of the central enthalpy to converge to the requested baryon mass

  diff

  [output] 1-D `Tbl` of size 7 for the storage of some error indicators :
  - `diff(0)` : Relative change in the enthalpy field between two successive steps
  - `diff(1)` : Relative error in the resolution of the Poisson equation for `nuf`
  - `diff(2)` : Relative error in the resolution of the Poisson equation for `nuq`
  - `diff(3)` : Relative error in the resolution of the Poisson equation for `dzeta`
  - `diff(4)` : Relative error in the resolution of the Poisson equation for `tggg`
  - `diff(5)` : Relative error in the resolution of the equation for `shift` (x comp.)
  - `diff(6)` : Relative error in the resolution of the equation for `shift` (y comp.)

Definition at line 47 of file strot_dirac_diff_equil.C.

References Lorene::Star::beta, Lorene::contract(), Lorene::diffrel(), Lorene::Star::ent, Lorene::Star::equation_of_state(), fait_omega_field(), Lorene::Star_rot_Dirac::flat, Lorene::Star::gam_euler, Lorene::Star::gamma, Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::Mg3d::get_type_t(), Lorene::Star_rot_Dirac::grv2(), Lorene::Star_rot_Dirac::hh, hydro_euler(), Lorene::log(), Lorene::log10(), Lorene::Star::logn, Lorene::Star::mp, Lorene::Star::nn, Lorene::Star::nzet, Lorene::Star_rot_Dirac::omega, omega_field, par_frot, prim_field, Lorene::Star_rot_Dirac::qqq, Lorene::Star::ray_eq(), Lorene::Tbl::set(), Lorene::Tbl::set_etat_qcq(), Lorene::Star_rot_Dirac::solve_hij(), Lorene::Star_rot_Dirac::solve_logn_f(), Lorene::Star_rot_Dirac::solve_logn_q(), Lorene::Star_rot_Dirac::solve_qqq(), Lorene::Star_rot_Dirac::solve_shift(), Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), Lorene::Star::u_euler, Lorene::Star_rot_Dirac::update_metric(), Lorene::Star_rot_Dirac::v2, and Lorene::Scalar::val_grid_point().

## equilibrium_spher()

void Lorene::Star::equilibrium_spher | ( | double | ent_c,
|  | double | precis = 1.e-14,
|  | const Tbl * | pent_limit = 0x0 )

virtual inherited

Computes a spherical static configuration.

Parameters

  ent_c | [input] central value of the enthalpy
  precis | [input] threshold in the relative difference between the enthalpy fields of two consecutive steps to stop the iterative procedure (default value: 1.e-14)
  ent_limit | [input] : array of enthalpy values to be set at the boundaries between the domains; if set to 0x0 (default), the initial values will be kept.

Definition at line 95 of file star_equil_spher.C.

References Lorene::Map_et::adapt(), Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Param::add_tbl(), Lorene::diffrel(), Lorene::Map_af::dsdr(), Lorene::Scalar::dsdr(), ener, ener_euler, ent, equation_of_state(), Lorene::exp(), gam_euler, gamma, Lorene::Map_af::get_alpha(), Lorene::Map_et::get_alpha(), Lorene::Map_af::get_beta(), Lorene::Map_et::get_beta(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::Map_af::homothetie(), Lorene::Scalar::integrale(), logn, mass_b(), mass_g(), mp, nn, Lorene::norme(), nzet, Lorene::Map_af::poisson(), press, s_euler, Lorene::Tensor::set(), Lorene::Map_af::set_alpha(), Lorene::Map_af::set_beta(), Lorene::Scalar::set_dzpuis(), Lorene::Cmp::set_etat_qcq(), Lorene::Tensor::set_etat_zero(), Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), u_euler, and Lorene::Scalar::val_grid_point().

## fait_omega_field()

void Lorene::Star_rot_Dirac_diff::fait_omega_field | ( | double | omeg_min,
|  | double | omeg_max,
|  | double | precis,
|  | int | nitermax )

Computes (member `omega_field` ).

The computation amounts to solving the equation

for .

Parameters

  omeg_min | [input] Lower bound of the interval for searching omega
  omeg_max | [input] Higher bound of the interval for searching omega
  precis | [input] Required precision in the determination of the zero by the secant method
  nitermax | [input] Maximum number of iterations in the secant method to compute the zero.

Definition at line 52 of file strot_dirac_diff_faitomeg.C.

References Lorene::Param::add_int(), Lorene::Param::add_scalar(), Lorene::Param::add_star(), Lorene::Scalar::annule(), Lorene::Star::beta, Lorene::Scalar::div_rsint(), fait_prim_field(), Lorene::Star::gamma, Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::max(), Lorene::min(), Lorene::Star::mp, Lorene::Scalar::mult_rsint(), Lorene::Star::nzet, omega_field, omega_max, omega_min, Lorene::Star_rot_Dirac::psi4, Lorene::Star_rot_Dirac::qqq, Lorene::Tbl::set(), and Lorene::zerosec().

## fait_prim_field()

void Lorene::Star_rot_Dirac_diff::fait_prim_field | ( |  | ) |

Computes the member `prim_field` from `omega_field` .

Definition at line 176 of file strot_dirac_diff_faitomeg.C.

References Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::Star::mp, Lorene::Star::nzet, omega_field, par_frot, prim_field, primfrot, and Lorene::Tbl::set().

## funct_omega()

double Lorene::Star_rot_Dirac_diff::funct_omega | ( | double | omeg | ) | const

Evaluates , where F is the function defining the rotation profile.

This function is linked to the components of the fluid 4-velocity by

`funct_omega` calls `frot` with the parameters `par_frot` .

Parameters

  omeg | [input] value of

Returns
  value of

Definition at line 250 of file star_rot_dirac_diff.C.

References frot, and par_frot.

## get_aa()

const Sym_tensor Lorene::Star_rot_Dirac::get_aa | ( |  | ) | const

inline inherited

Returns .

Definition at line 229 of file star_rot_dirac.h.

References aa.

## get_aa_quad()

const Scalar Lorene::Star_rot_Dirac::get_aa_quad | ( |  | ) | const

inline inherited

Returns .

Definition at line 239 of file star_rot_dirac.h.

References aa_quad.

## get_beta()

const Vector & Lorene::Star::get_beta | ( |  | ) | const

inline inherited

Returns the shift vector .

Definition at line 402 of file star.h.

References beta.

## get_ener()

const Scalar & Lorene::Star::get_ener | ( |  | ) | const

inline inherited

Returns the proper total energy density.

Definition at line 370 of file star.h.

References ener.

## get_ener_euler()

const Scalar & Lorene::Star::get_ener_euler | ( |  | ) | const

inline inherited

Returns the total energy density with respect to the Eulerian observer.

Definition at line 376 of file star.h.

References ener_euler.

## get_ent()

const Scalar & Lorene::Star::get_ent | ( |  | ) | const

inline inherited

Returns the enthalpy field.

Definition at line 364 of file star.h.

References ent.

## get_eos()

const Eos & Lorene::Star::get_eos | ( |  | ) | const

inline inherited

Returns the equation of state.

Definition at line 361 of file star.h.

References eos.

## get_gam_euler()

const Scalar & Lorene::Star::get_gam_euler | ( |  | ) | const

inline inherited

Returns the Lorentz factor between the fluid and Eulerian observers.

Definition at line 382 of file star.h.

References gam_euler.

## get_gamma()

const Metric & Lorene::Star::get_gamma | ( |  | ) | const

inline inherited

Returns the 3-metric .

Definition at line 409 of file star.h.

References gamma.

## get_hh()

const Sym_tensor_trans Lorene::Star_rot_Dirac::get_hh | ( |  | ) | const

inline inherited

Returns .

Definition at line 244 of file star_rot_dirac.h.

References hh.

## get_j_euler()

const Vector & Lorene::Star_rot_Dirac::get_j_euler | ( |  | ) | const

inline inherited

Returns the momentum density 3-vector with respect to the Eulerian observer.

Definition at line 209 of file star_rot_dirac.h.

References j_euler.

## get_ln_psi()

const Scalar & Lorene::Star_rot_Dirac::get_ln_psi | ( |  | ) | const

inline inherited

Returns .

Definition at line 199 of file star_rot_dirac.h.

References ln_psi.

## get_lnq()

const Scalar & Lorene::Star::get_lnq | ( |  | ) | const

inline inherited

Definition at line 406 of file star.h.

## get_logn()

const Scalar & Lorene::Star::get_logn | ( |  | ) | const

inline inherited

Returns the logarithm of the lapse N.

In the Newtonian case, this is the Newtonian gravitational potential (in units of ).

Definition at line 396 of file star.h.

References logn.

## get_mp()

const Map & Lorene::Star::get_mp | ( |  | ) | const

inline inherited

Returns the mapping.

Definition at line 355 of file star.h.

References Lorene::Map(), and mp.

## get_nbar()

const Scalar & Lorene::Star::get_nbar | ( |  | ) | const

inline inherited

Returns the proper baryon density.

Definition at line 367 of file star.h.

References nbar.

## get_nn()

const Scalar & Lorene::Star::get_nn | ( |  | ) | const

inline inherited

Returns the lapse function N.

Definition at line 399 of file star.h.

References nn.

## get_nzet()

int Lorene::Star::get_nzet | ( |  | ) | const

inline inherited

Returns the number of domains occupied by the star.

Definition at line 358 of file star.h.

References nzet.

## get_omega()

double Lorene::Star_rot_Dirac::get_omega | ( |  | ) | const

inline inherited

Returns the rotation angular velocity .

Definition at line 178 of file star_rot_dirac.h.

References omega.

## get_omega_c()

double Lorene::Star_rot_Dirac_diff::get_omega_c | ( |  | ) | const

virtual

Returns the central value of the rotation angular velocity (``[f_unit] ).

Definition at line 262 of file star_rot_dirac_diff.C.

References omega_field.

## get_omega_field()

const Scalar & Lorene::Star_rot_Dirac_diff::get_omega_field | ( |  | ) | const

inline

Returns the angular velocity field .

Definition at line 149 of file star_rot_dirac_diff.h.

References omega_field.

## get_press()

const Scalar & Lorene::Star::get_press | ( |  | ) | const

inline inherited

Returns the fluid pressure.

Definition at line 373 of file star.h.

References press.

## get_psi2()

const Scalar & Lorene::Star_rot_Dirac::get_psi2 | ( |  | ) | const

inline inherited

Returns .

Definition at line 189 of file star_rot_dirac.h.

References psi2.

## get_psi4()

const Scalar & Lorene::Star_rot_Dirac::get_psi4 | ( |  | ) | const

inline inherited

Returns the conformal factor .

Definition at line 184 of file star_rot_dirac.h.

References psi4.

## get_qqq()

const Scalar & Lorene::Star_rot_Dirac::get_qqq | ( |  | ) | const

inline inherited

Returns .

Definition at line 194 of file star_rot_dirac.h.

References qqq.

## get_s_euler()

const Scalar & Lorene::Star::get_s_euler | ( |  | ) | const

inline inherited

Returns the trace of the stress tensor in the Eulerian frame.

Definition at line 379 of file star.h.

References s_euler.

## get_stress_euler()

const Tensor & Lorene::Star::get_stress_euler | ( |  | ) | const

inline inherited

Returns the spatial part of the stress-energy tensor with respect to the Eulerian observer.

Definition at line 390 of file star.h.

References stress_euler.

## get_taa()

const Sym_tensor Lorene::Star_rot_Dirac::get_taa | ( |  | ) | const

inline inherited

Returns .

Definition at line 234 of file star_rot_dirac.h.

References taa.

## get_tgamma()

const Metric Lorene::Star_rot_Dirac::get_tgamma | ( |  | ) | const

inline inherited

Returns the conformal metric .

Definition at line 222 of file star_rot_dirac.h.

References tgamma.

## get_u_euler()

const Vector & Lorene::Star::get_u_euler | ( |  | ) | const

inline inherited

Returns the fluid 3-velocity with respect to the Eulerian observer.

Definition at line 385 of file star.h.

References u_euler.

## get_v2()

const Scalar & Lorene::Star_rot_Dirac::get_v2 | ( |  | ) | const

inline inherited

Reutrns .

Definition at line 214 of file star_rot_dirac.h.

References v2.

## grv2()

double Lorene::Star_rot_Dirac::grv2 | ( |  | ) | const

virtual inherited

Error on the virial identity GRV2.

Definition at line 204 of file strot_dirac_global.C.

References aa, Lorene::Scalar::div_r_dzpuis(), Lorene::Star::ener_euler, Lorene::Star::gamma, Lorene::Star::logn, p_grv2, Lorene::Star::press, Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), taa, and v2.

## grv3()

double Lorene::Star_rot_Dirac::grv3 | ( |  | ) | const

virtual inherited

Error on the virial identity GRV3.

Definition at line 273 of file strot_dirac_global.C.

References aa_quad, Lorene::contract(), Lorene::Star::gamma, Lorene::Scalar::integrale(), Lorene::Star::logn, p_grv3, Lorene::Star::s_euler, Lorene::sqrt(), and Lorene::Scalar::std_spectral_base().

## hydro_euler()

void Lorene::Star_rot_Dirac_diff::hydro_euler | ( |  | ) |

virtual

Computes the hydrodynamical quantities relative to the Eulerian observer from those in the fluid frame.

The calculation is performed starting from the quantities `omega_field` , `ent` , `ener` , `press` , and `a_car` ,
which are supposed to be up to date.
From these, the following fields are updated: `gam_euler` , `u_euler` , `ener_euler` , `s_euler` .

Reimplemented from Lorene::Star_rot_Dirac.

Definition at line 44 of file strot_dirac_diff_hydro.C.

References Lorene::Star::beta, Lorene::contract(), Lorene::Star_rot_Dirac::del_deriv(), Lorene::Star::ener, Lorene::Star::ener_euler, Lorene::Star::gam_euler, Lorene::Star::gamma, Lorene::Star_rot_Dirac::j_euler, Lorene::Star::nn, omega_field, Lorene::Star::press, Lorene::Star::s_euler, Lorene::sqrt(), Lorene::Star::stress_euler, Lorene::Star::u_euler, and Lorene::Star_rot_Dirac::v2.

## l_surf()

const Itbl & Lorene::Star::l_surf | ( |  | ) | const

virtual inherited

Description of the stellar surface: returns a 2-D `Itbl` containing the values of the domain index l on the surface at the collocation points in .

The stellar surface is defined as the location where the enthalpy (member `ent`) vanishes.

Reimplemented in Lorene::Star_rot.

Definition at line 63 of file star_global.C.

References ent, mp, nzet, p_l_surf, and p_xi_surf.

## mass_b()

double Lorene::Star_rot_Dirac::mass_b | ( |  | ) | const

virtual inherited

Baryonic mass.

Implements Lorene::Star.

Definition at line 94 of file strot_dirac_global.C.

References Lorene::Star::gam_euler, Lorene::Star::gamma, Lorene::Scalar::integrale(), Lorene::Star::nbar, Lorene::Star::p_mass_b, Lorene::sqrt(), and Lorene::Scalar::std_spectral_base().

## mass_g()

double Lorene::Star_rot_Dirac::mass_g | ( |  | ) | const

virtual inherited

Gravitational mass.

Implements Lorene::Star.

Definition at line 117 of file strot_dirac_global.C.

References Lorene::Star::beta, Lorene::contract(), Lorene::Star::ener_euler, Lorene::Star::gamma, Lorene::Scalar::integrale(), j_euler, Lorene::Star::nn, Lorene::Star::p_mass_g, Lorene::Star::s_euler, Lorene::sqrt(), and Lorene::Scalar::std_spectral_base().

## operator=()

void Lorene::Star_rot_Dirac_diff::operator= | ( | const Star_rot_Dirac_diff & | star | ) |

Assignment to another `Star_rot_Dirac_diff`.

Definition at line 126 of file star_rot_dirac_diff.C.

References frot, omega_field, omega_max, omega_min, Lorene::Star_rot_Dirac::operator=(), par_frot, prim_field, primfrot, and Star_rot_Dirac_diff().

## operator>>()

ostream & Lorene::Star_rot_Dirac_diff::operator>> | ( | ostream & | ost | ) | const

protected virtual

Operator >> (virtual function called by the operator <<).

Reimplemented from Lorene::Star_rot_Dirac.

Definition at line 170 of file star_rot_dirac_diff.C.

References Lorene::Star_rot_Dirac::angu_mom(), Lorene::Star_rot_Dirac::aplat(), Lorene::Star_rot_Dirac::ellipt(), Lorene::Star_rot_Dirac::grv2(), Lorene::Star_rot_Dirac::grv3(), Lorene::Star_rot_Dirac::mass_g(), Lorene::Star::mp, Lorene::Star::nzet, Lorene::Star_rot_Dirac::omega, omega_field, omega_max, omega_min, Lorene::Star::operator>>(), par_frot, Lorene::pow(), Lorene::Star_rot_Dirac::r_circ(), Lorene::Star::ray_eq(), Lorene::Star_rot_Dirac::rp_circ(), and tsw().

## prim_funct_omega()

double Lorene::Star_rot_Dirac_diff::prim_funct_omega | ( | double | omeg | ) | const

Evaluates the primitive of , where F is the function defining the rotation profile.

Parameters

  omeg | [input] value of

Returns
  value of

Definition at line 256 of file star_rot_dirac_diff.C.

References par_frot, and primfrot.

## r_circ()

double Lorene::Star_rot_Dirac::r_circ | ( |  | ) | const

virtual inherited

Circumferential equatorial radius.

Definition at line 331 of file strot_dirac_global.C.

References Lorene::Star::gamma, Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_t(), Lorene::Star::mp, Lorene::Star::nzet, p_r_circ, Lorene::Star::ray_eq(), and Lorene::sqrt().

## ray_eq()

double Lorene::Star::ray_eq | ( |  | ) | const

inherited

Coordinate radius at , [r_unit].

Definition at line 108 of file star_global.C.

References Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq, Lorene::phi, and xi_surf().

## ray_eq_3pis2()

double Lorene::Star::ray_eq_3pis2 | ( |  | ) | const

inherited

Coordinate radius at , [r_unit].

Definition at line 233 of file star_global.C.

References Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq_3pis2, Lorene::phi, ray_eq_pis2(), and xi_surf().

## ray_eq_pi()

double Lorene::Star::ray_eq_pi | ( |  | ) | const

inherited

Coordinate radius at , [r_unit].

Definition at line 186 of file star_global.C.

References Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq_pi, Lorene::phi, ray_eq(), and xi_surf().

## ray_eq_pis2()

double Lorene::Star::ray_eq_pis2 | ( |  | ) | const

inherited

Coordinate radius at , [r_unit].

Definition at line 138 of file star_global.C.

References Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq_pis2, Lorene::phi, and xi_surf().

## ray_pole()

double Lorene::Star::ray_pole | ( |  | ) | const

inherited

Coordinate radius at [r_unit].

Definition at line 278 of file star_global.C.

References Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_pole, Lorene::phi, and xi_surf().

## rp_circ()

double Lorene::Star_rot_Dirac::rp_circ | ( |  | ) | const

virtual inherited

Circumferential polar radius.

Definition at line 357 of file strot_dirac_global.C.

References Lorene::Scalar::annule(), Lorene::Scalar::annule_hard(), Lorene::Valeur::c_cf, Lorene::Valeur::coef(), Lorene::Scalar::dsdt(), Lorene::Star::gamma, Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::Scalar::get_spectral_va(), Lorene::Star::l_surf(), Lorene::Star::mp, Lorene::Star::nzet, p_rp_circ, Lorene::phi, Lorene::Scalar::set_grid_point(), Lorene::Scalar::set_spectral_va(), Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), Lorene::tet, Lorene::Valeur::val_point_jk(), and Lorene::Star::xi_surf().

## sauve()

void Lorene::Star_rot_Dirac_diff::sauve | ( | FILE * | fich | ) | const

virtual

Save in a file.

Reimplemented from Lorene::Star_rot_Dirac.

Definition at line 151 of file star_rot_dirac_diff.C.

References Lorene::fwrite_be(), omega_field, omega_max, omega_min, par_frot, and Lorene::Star::sauve().

## set_der_0x0()

void Lorene::Star_rot_Dirac::set_der_0x0 | ( |  | ) | const

protected virtual inherited

Sets to `0x0` all the pointers on derived quantities.

Reimplemented from Lorene::Star.

Definition at line 234 of file star_rot_dirac.C.

References p_angu_mom, p_grv2, p_grv3, p_r_circ, p_rp_circ, and p_tsw.

## set_enthalpy()

void Lorene::Star::set_enthalpy | ( | const Scalar & | ent_i | ) |

inherited

Assignment of the enthalpy field.

Definition at line 379 of file star.C.

References del_deriv(), ent, and equation_of_state().

## set_mp()

Map & Lorene::Star::set_mp | ( |  | ) |

inline inherited

Read/write of the mapping.

Definition at line 322 of file star.h.

References Lorene::Map(), and mp.

## solve_hij()

void Lorene::Star_rot_Dirac::solve_hij | ( | Sym_tensor_trans & | hij_new | ) | const

inherited

Solution of the tensor Poisson equation for rotating stars in Dirac gauge.

Definition at line 78 of file strot_dirac_solvehij.C.

References aa, Lorene::Star::beta, Lorene::contract(), Lorene::Tensor::derive_cov(), Lorene::Tensor_sym::derive_cov(), Lorene::Scalar::derive_lie(), Lorene::Sym_tensor::derive_lie(), hh, Lorene::Scalar::inc_dzpuis(), Lorene::Tensor::inc_dzpuis(), ln_psi, Lorene::Star::mp, Lorene::Star::nn, Lorene::Sym_tensor_trans::poisson(), psi2, psi4, qqq, Lorene::Star::s_euler, Lorene::Tensor::set(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_zero(), Lorene::Star::stress_euler, and tgamma.

## solve_logn_f()

void Lorene::Star_rot_Dirac::solve_logn_f | ( | Scalar & | ln_f_new | ) | const

inherited

Solution of the two scalar Poisson equations for rotating stars in Dirac gauge.

Definition at line 62 of file strot_dirac_solvenq.C.

References Lorene::Star::ener_euler, Lorene::Scalar::poisson(), psi4, and Lorene::Star::s_euler.

## solve_logn_q()

void Lorene::Star_rot_Dirac::solve_logn_q | ( | Scalar & | ln_q_new | ) | const

inherited

Solution of the two scalar Poisson equations for rotating stars in Dirac gauge.

Definition at line 76 of file strot_dirac_solvenq.C.

References aa_quad, Lorene::contract(), Lorene::Tensor::derive_cov(), hh, Lorene::Tensor::inc_dzpuis(), ln_psi, Lorene::Star::logn, Lorene::Star::mp, Lorene::Scalar::poisson(), psi4, tgamma, and Lorene::Tensor::up_down().

## solve_qqq()

void Lorene::Star_rot_Dirac::solve_qqq | ( | Scalar & | q_new | ) | const

inherited

Solution of the two scalar Poisson equations for rotating stars in Dirac gauge.

Definition at line 105 of file strot_dirac_solvenq.C.

References aa_quad, Lorene::contract(), Lorene::Tensor::derive_cov(), Lorene::Scalar::get_etat(), hh, ln_psi, Lorene::Star::mp, Lorene::Star::nn, Lorene::Scalar::poisson(), psi2, psi4, qqq, Lorene::Star::s_euler, Lorene::Scalar::std_spectral_base(), and tgamma.

## solve_shift()

void Lorene::Star_rot_Dirac::solve_shift | ( | Vector & | shift_new | ) | const

inherited

Solution of the shift equation for rotating stars in Dirac gauge.

Definition at line 54 of file strot_dirac_solveshift.C.

References aa, Lorene::Star::beta, Lorene::contract(), Lorene::Vector::div_free(), hh, j_euler, ln_psi, Lorene::Star::mp, Lorene::Star::nn, Lorene::Vector_divfree::poisson(), psi4, Lorene::Vector::set(), Lorene::Scalar::set_dzpuis(), and tgamma.

## spectral_filter_order()

int Lorene::Star_rot_Dirac::spectral_filter_order | ( |  | ) | const

inline inherited

Returns the filtering order.

Definition at line 173 of file star_rot_dirac.h.

References spectral_filter.

## tsw()

double Lorene::Star_rot_Dirac_diff::tsw | ( |  | ) | const

virtual

Ratio T/W.

Reimplemented from Lorene::Star_rot_Dirac.

Definition at line 48 of file strot_dirac_diff_global.C.

References Lorene::contract(), Lorene::Star::ener, Lorene::Star::gam_euler, Lorene::Star::gamma, Lorene::Scalar::integrale(), Lorene::Star_rot_Dirac::j_euler, Lorene::Star_rot_Dirac::mass_g(), Lorene::Star::mp, Lorene::Scalar::mult_rsint(), omega_field, Lorene::Star_rot_Dirac::p_tsw, Lorene::Vector::set(), Lorene::Scalar::set_etat_zero(), Lorene::sqrt(), and Lorene::Scalar::std_spectral_base().

## update_metric()

void Lorene::Star_rot_Dirac::update_metric | ( |  | ) |

inherited

Computes metric quantities from known potentials.

The calculation is performed starting from `qqq`, `logn`, `shift`, `hh`, which are supposed to be up to date. From these, the following fields are updated: `nnn`, `psi4`, `psi2`, `ln_psi`, `tgamma`, `aa`, `taa`, and `aa_quad`.

Definition at line 59 of file strot_dirac_upmetr.C.

References aa, aa_quad, Lorene::Star::beta, Lorene::contract(), del_deriv(), Lorene::exp(), flat, Lorene::Star::gamma, hh, ln_psi, Lorene::log(), Lorene::Star::logn, Lorene::Star::nn, psi2, psi4, qqq, Lorene::sqrt(), taa, and tgamma.

## xi_surf()

const Tbl & Lorene::Star::xi_surf | ( |  | ) | const

inherited

Description of the stellar surface: returns a 2-D `Tbl` containing the values of the radial coordinate on the surface at the collocation points in .

The stellar surface is defined as the location where the enthalpy (member `ent`) vanishes.

Definition at line 89 of file star_global.C.

References l_surf(), p_l_surf, and p_xi_surf.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | ost,
|  | const Star & | et )

friend

Display.

Definition at line 412 of file star.C.

## Member Data Documentation

## aa

Sym_tensor Lorene::Star_rot_Dirac::aa

protected inherited

Definition at line 87 of file star_rot_dirac.h.

## aa_quad

Scalar Lorene::Star_rot_Dirac::aa_quad

protected inherited

Definition at line 89 of file star_rot_dirac.h.

## beta

Vector Lorene::Star::beta

protected inherited

Shift vector.

Definition at line 228 of file star.h.

## ener

Scalar Lorene::Star::ener

protected inherited

Total energy density in the fluid frame.

Definition at line 193 of file star.h.

## ener_euler

Scalar Lorene::Star::ener_euler

protected inherited

Total energy density in the Eulerian frame.

Definition at line 198 of file star.h.

## ent

Scalar Lorene::Star::ent

protected inherited

Log-enthalpy.

Definition at line 190 of file star.h.

## eos

const Eos& Lorene::Star::eos

protected inherited

Equation of state of the stellar matter.

Definition at line 185 of file star.h.

## flat

const Metric_flat& Lorene::Star_rot_Dirac::flat

protected inherited

flat metric (spherical components)

Definition at line 84 of file star_rot_dirac.h.

## frot

double(* Lorene::Star_rot_Dirac_diff::frot) (double, const Tbl &)

protected

Function defining the rotation profile.

This function is linked to the components of the fluid 4-velocity by

The first argument of `frot` must be ; the second argument contains the parameters, the first of which being necessarily the central value of .

Definition at line 64 of file star_rot_dirac_diff.h.

## gam_euler

Scalar Lorene::Star::gam_euler

protected inherited

Lorentz factor between the fluid and Eulerian observers.

Definition at line 204 of file star.h.

## gamma

Metric Lorene::Star::gamma

protected inherited

3-metric

Definition at line 235 of file star.h.

## hh

Sym_tensor_trans Lorene::Star_rot_Dirac::hh

protected inherited

is defined by .

We impose the Dirac gauge explicitly by defining to be a symmetric transverse tensor.

Definition at line 96 of file star_rot_dirac.h.

## j_euler

Vector Lorene::Star_rot_Dirac::j_euler

protected inherited

Momentum density 3-vector with respect to the Eulerian observer.

Definition at line 77 of file star_rot_dirac.h.

## ln_psi

Scalar Lorene::Star_rot_Dirac::ln_psi

protected inherited

Definition at line 67 of file star_rot_dirac.h.

## lnq

Scalar Lorene::Star::lnq

protected inherited

Definition at line 232 of file star.h.

## logn

Scalar Lorene::Star::logn

protected inherited

Logarithm of the lapse N .

In the Newtonian case, this is the Newtonian gravitational potential (in units of ).

Definition at line 222 of file star.h.

## mp

Map& Lorene::Star::mp

protected inherited

Mapping associated with the star.

Definition at line 180 of file star.h.

## nbar

Scalar Lorene::Star::nbar

protected inherited

Baryon density in the fluid frame.

Definition at line 192 of file star.h.

## nn

Scalar Lorene::Star::nn

protected inherited

Lapse function N .

Definition at line 225 of file star.h.

## nzet

int Lorene::Star::nzet

protected inherited

Number of domains of `*mp` occupied by the star.

Definition at line 183 of file star.h.

## omega

double Lorene::Star_rot_Dirac::omega

protected inherited

Rotation angular velocity (``[f_unit] ).

Definition at line 59 of file star_rot_dirac.h.

## omega_field

Scalar Lorene::Star_rot_Dirac_diff::omega_field

protected

Field .

Definition at line 84 of file star_rot_dirac_diff.h.

## omega_max

double Lorene::Star_rot_Dirac_diff::omega_max

protected

Maximum value of .

Definition at line 87 of file star_rot_dirac_diff.h.

## omega_min

double Lorene::Star_rot_Dirac_diff::omega_min

protected

Minimum value of .

Definition at line 86 of file star_rot_dirac_diff.h.

## p_angu_mom

double* Lorene::Star_rot_Dirac::p_angu_mom

mutable protected inherited

Angular momentum.

Definition at line 106 of file star_rot_dirac.h.

## p_grv2

double* Lorene::Star_rot_Dirac::p_grv2

mutable protected inherited

Error on the virial identity GRV2.

Definition at line 107 of file star_rot_dirac.h.

## p_grv3

double* Lorene::Star_rot_Dirac::p_grv3

mutable protected inherited

Error on the virial identity GRV3.

Definition at line 108 of file star_rot_dirac.h.

## p_l_surf

Itbl* Lorene::Star::p_l_surf

mutable protected inherited

Description of the stellar surface: 2-D `Itbl` containing the values of the domain index l on the surface at the collocation points in .

Definition at line 260 of file star.h.

## p_mass_b

double* Lorene::Star::p_mass_b

mutable protected inherited

Baryon mass.

Definition at line 268 of file star.h.

## p_mass_g

double* Lorene::Star::p_mass_g

mutable protected inherited

Gravitational mass.

Definition at line 269 of file star.h.

## p_r_circ

double* Lorene::Star_rot_Dirac::p_r_circ

mutable protected inherited

Circumferential equatorial radius.

Definition at line 110 of file star_rot_dirac.h.

## p_ray_eq

double* Lorene::Star::p_ray_eq

mutable protected inherited

Coordinate radius at , .

Definition at line 242 of file star.h.

## p_ray_eq_3pis2

double* Lorene::Star::p_ray_eq_3pis2

mutable protected inherited

Coordinate radius at , .

Definition at line 251 of file star.h.

## p_ray_eq_pi

double* Lorene::Star::p_ray_eq_pi

mutable protected inherited

Coordinate radius at , .

Definition at line 248 of file star.h.

## p_ray_eq_pis2

double* Lorene::Star::p_ray_eq_pis2

mutable protected inherited

Coordinate radius at , .

Definition at line 245 of file star.h.

## p_ray_pole

double* Lorene::Star::p_ray_pole

mutable protected inherited

Coordinate radius at .

Definition at line 254 of file star.h.

## p_rp_circ

double* Lorene::Star_rot_Dirac::p_rp_circ

mutable protected inherited

Circumferential polar radius.

Definition at line 111 of file star_rot_dirac.h.

## p_tsw

double* Lorene::Star_rot_Dirac::p_tsw

mutable protected inherited

Ratio T/W.

Definition at line 109 of file star_rot_dirac.h.

## p_xi_surf

Tbl* Lorene::Star::p_xi_surf

mutable protected inherited

Description of the stellar surface: 2-D `Tbl` containing the values of the radial coordinate on the surface at the collocation points in .

Definition at line 266 of file star.h.

## par_frot

Tbl Lorene::Star_rot_Dirac_diff::par_frot

protected

Parameters of the function .

To be used as the second argument of functions `frot` and `primfrot` . The parameter `par_frot(0)` must always be the central angular velocity.

Definition at line 81 of file star_rot_dirac_diff.h.

## press

Scalar Lorene::Star::press

protected inherited

Fluid pressure.

Definition at line 194 of file star.h.

## prim_field

Scalar Lorene::Star_rot_Dirac_diff::prim_field

protected

Field .

Definition at line 90 of file star_rot_dirac_diff.h.

## primfrot

double(* Lorene::Star_rot_Dirac_diff::primfrot) (double, const Tbl &)

protected

Primitive of the function , which vanishes at the stellar center.

The first argument of `primfrot` must be ; the second argument contains the parameters, the first of which being necessarily the central value of .

Definition at line 72 of file star_rot_dirac_diff.h.

## psi2

Scalar Lorene::Star_rot_Dirac::psi2

protected inherited

Definition at line 65 of file star_rot_dirac.h.

## psi4

Scalar Lorene::Star_rot_Dirac::psi4

protected inherited

Conformal factor .

Definition at line 64 of file star_rot_dirac.h.

## qqq

Scalar Lorene::Star_rot_Dirac::qqq

protected inherited

Definition at line 66 of file star_rot_dirac.h.

## s_euler

Scalar Lorene::Star::s_euler

protected inherited

Trace of the stress scalar in the Eulerian frame.

Definition at line 201 of file star.h.

## spectral_filter

int Lorene::Star_rot_Dirac::spectral_filter

protected inherited

Spectral exponential filtering order.

If 0, no filtering is done (see also `Scalar::exponential_filter_r`). Filtering is performed only in shells containing matter, i.e. for domain numbers l such that `nzet` .

Definition at line 57 of file star_rot_dirac.h.

## stress_euler

Sym_tensor Lorene::Star::stress_euler

protected inherited

Spatial part of the stress-energy tensor with respect to the Eulerian observer.

Definition at line 212 of file star.h.

## taa

Sym_tensor Lorene::Star_rot_Dirac::taa

protected inherited

Definition at line 88 of file star_rot_dirac.h.

## tgamma

Metric Lorene::Star_rot_Dirac::tgamma

protected inherited

Definition at line 86 of file star_rot_dirac.h.

## u_euler

Vector Lorene::Star::u_euler

protected inherited

Fluid 3-velocity with respect to the Eulerian observer.

Definition at line 207 of file star.h.

## v2

Scalar Lorene::Star_rot_Dirac::v2

protected inherited

Definition at line 78 of file star_rot_dirac.h.

The documentation for this class was generated from the following files:

- star_rot_dirac_diff.h
- star_rot_dirac_diff.C
- strot_dirac_diff_equil.C
- strot_dirac_diff_faitomeg.C
- strot_dirac_diff_global.C
- strot_dirac_diff_hydro.C